//===================================
// Copyright Yakibomb
//===================================

local entity_classes = [];

foreach ( key, value in ROOT )
{
	if ( typeof(value) == "class" && "AddEFlags" in value )
		entity_classes.append(value);
}

foreach ( key, value in ROOT )
{
    if ( typeof(value) != "function" ) continue
	
	if ( startswith(key, "CBaseEntity_") )
    {
        local func_name = key.slice(12);
        foreach (entity_class in entity_classes)
            entity_class[func_name] <- value;
		delete ROOT[key];
    }
    else if ( startswith(key, "CTFPlayer_"))
    {
        local func_name = key.slice(10);
		CTFPlayer[func_name] <- value;
		CTFBot[func_name] <- value;
		delete ROOT[key]
    }
}