/*===================================
		Copyright Yakibomb
*///=================================

/*
	VS_COND_FLOORMASTER
	- Entity moves very slowly.
	- Works on all entities.
*/

class VS_COND_FLOORMASTER extends VSConds_Base
{
	function AddCond() {
		VSCONDS_CreateTeamParticle(condition,provider, entity, entity.GetOrigin(), "utaunt_hands_teamcolor_red","utaunt_hands_teamcolor_blue","utaunt_hands_purple_parent")

		if ( entity.GetClassname() != "player" ) return;
		
		entity.AddCond(15)
		entity.AddCustomAttribute("no_jump",1,-1)
		entity.AddCustomAttribute("no_duck",1,-1)
		entity.AddCustomAttribute("major move speed bonus",0.2,-1)
		entity.SetForcedTauntCam(1)
	}
	
	function RemoveCond() {
		if ( entity.GetClassname() != "player" ) return;
		
		entity.RemoveCond(15)
		entity.RemoveCustomAttribute("no_jump")
		entity.RemoveCustomAttribute("no_duck")
		entity.RemoveCustomAttribute("major move speed bonus")
		entity.SetForcedTauntCam(0)
	}
}
	VSCONDS_ADD_CONDITION("VS_COND_FLOORMASTER");