/*===================================
		Copyright Yakibomb
*///=================================

/*
	VS_COND_RAGE
	- Player shouts and their hands are set on fire.
	- Works on all entities.
*/

class VS_COND_RAGE extends VSConds_Base
{
	//We consider this a buff, so it shouldn't be removed upon touching resupply
	removedByResupply = false;	//`false` prevents removal on resupply
	
	function AddCond() { 
	//YELLING
		EntFireByHandle(entity,"SpeakResponseConcept","TLK_PLAYER_BATTLECRY",0.0,entity,entity);
		
	//Particles are cleared on condition end
		local headOrigin = entity.GetAttachmentOrigin(entity.LookupAttachment("head"));
		local leftFistOrigin = entity.GetAttachmentOrigin(entity.LookupAttachment("effect_hand_L"));
		local rightFistOrigin = entity.GetAttachmentOrigin(entity.LookupAttachment("effect_hand_R"));
		
		local head = VSCONDS_CreateTeamParticle(condition,entity, entity, headOrigin, "buildingdamage_smoke4")
		local leftFist = VSCONDS_CreateTeamParticle(condition,entity, entity, leftFistOrigin, "superrare_burning1")
		local rightFist = VSCONDS_CreateTeamParticle(condition,entity, entity, rightFistOrigin, "superrare_burning1")
		
		VSCONDS_SetParentAttachment("head",head,entity);
		VSCONDS_SetParentAttachment("effect_hand_L",leftFist,entity);
		VSCONDS_SetParentAttachment("effect_hand_R",rightFist,entity);
	}
	
	function RemoveCond() {	}
}
	VSCONDS_ADD_CONDITION("VS_COND_RAGE");